Only in .: Makefile
diff -c ../zip19i/README ./README
*** ../zip19i/README	Tue Nov  3 21:07:53 1992
--- ./README	Wed Sep  8 00:23:06 1993
***************
*** 1,8 ****
! zip 1.9i is a BETA version. Do not distribute outside the info-zip
! group. See the file history for all changes with respect to previous
! versions. There are only minor differences with 1.9h, to allow
! again compilation gcc on SCO and BC++ on MSDOS.
  
- Send problem reports to zip-bugs@wkuvx1.bitnet. Thanks.
  
! Jean-loup
--- 1,151 ----
! Copyright (C) 1990-1993 Mark Adler, Richard B. Wales, Jean-loup Gailly,
! Kai Uwe Rommel, Igor Mandrichenko and John Bush.
! Permission is granted to any individual or institution to use, copy, or
! redistribute this software so long as all of the original files are included,
! that it is not sold for profit, and that this copyright notice is retained.
  
  
! Zip 2.0 is a compression and file packaging utility.  It is compatible with
! PKZIP 2.04g (Phil Katz ZIP) for MSDOS systems.  There is a companion to zip
! called unzip (of course) which you should be able to find the same place
! you got zip. See the file 'Where' for details on ftp sites and mail
! servers.
! 
! This version of zip has been ported to a wide array of Unix and other
! mainframes, minis, and micros including VMS, OS/2, Minix, MSDOS, Windows NT,
! Atari and Amiga. Although highly compatible with PKware's PKZIP and PKUNZIP
! utilities of MSDOS fame, our primary objective has been one of portability
! and other-than-MSDOS functionality.  Features not found in the PKWare version
! include creation of zip files in a pipe or on a device, VMS and OS/2 extended
! file attributes, conversion from Unix to MSDOS text file format; and, of
! course, the ability to run on most of your favorite operating systems.
! And it's free.
! 
! Main changes since zip 1.9p1:
! 
! - new -i option (include only the following names).
! - new -T option to test zip file integrity before overwriting original
! - new -F and -FF (zipfix) options
! - new -D option (do not create entries for directories)
! - new -S option to include hidden/system files on MSDOS and OS/2
! - new -$ option to include a volume label on MSDOS and OS/2
! - new -ll option for CR LF to LF translation
! - new -p option for zipsplit (pause between diskettes)
! - speed up for the fast options (-1 to -3)
! - support for new systems (Amiga, TOPS 20, Human68k, ...)
! - many portability improvements
! - many bug fixes
! 
! See the file 'history' for a detailed list of all changes.
! 
! This version does not support multi-volume archives as in pkzip 2.04g.
! This may be provided in a future version if time permits.
! 
! Please read the file install.doc for information on how to compile and
! install zip, zipsplit and zipnote.  Please read the file zip.doc for
! information on how to use them.  The file "contents" is a complete
! list of the files you should have in this distribution.  Also, if you
! are using MSDOS, you should read the note on file formats at the end
! of the contents file.
! 
! This version supports encryption, but the encryption code is distributed
! separately because of the US export regulations. See the file 'Where'
! for access to the encryption code. Decryption can be made with unzip 5.0p1
! or later, or with zipcloak (which is provided in the encryption supplement).
! 
! All bug reports should go to zip-bugs@wkuvx1.bitnet, and suggestions for
! new features can be sent to info-zip@wkuvx1.bitnet (although we don't
! promise to use all suggestions). Patches should be sent as context diffs
! only (diff -c).
! 
! If you're considering a port, please check in with zip-bugs FIRST,
! since the code is constantly being updated behind the scenes.  We'll
! arrange to give you access to the latest source.  The alternative is the
! possibility that your hard work will be tucked away in a sub-archive
! and pretty much ignored. Ports to VM/CMS and MVS would be welcome.
! 
! All bug reports should go to zip-bugs@wkuvx1.bitnet, and suggestions for
! new features can be sent to info-zip@wkuvx1.bitnet (although we don't
! promise to use all suggestions). If you can't reach bitnet, try
! zip-bugs%wkuvx1.bitnet@ukcc.uky.edu.
! 
! If you'd like to keep up to date with our Zip (and companion UnZip utility)
! development, join the ranks of BETA testers, add your own thoughts and con-
! tributions, etc., send a two-line mail message containing the commands HELP
! and LIST (on separate lines in the body of the message, not on the subject
! line) to mxserver@wkuvx1.bitnet.  You'll receive two messages listing the
! various Info-ZIP mailing-list formats which are available (and also various
! unrelated lists) and instructions on how to subscribe to one or more of them
! (courtesy of Hunter Goatley).
! 
! Frequently asked questions on zip and unzip:
! 
! Q. When unzipping I get an error message about "compression method 8".
! 
! A. Please get the latest version of unzip. See the file Where for details.
! 
! 
! Q. I can't extract this zip file that I just downloaded. I get
!    "zipfile is part of multi-disk archive" or some other message.
! 
! A. Please make sure that you made the transfer in binary mode. Check
!    in particular that your copy has exactly the same size as the original.
!    
! 
! Q. When running unzip, I get a message about "End-of-central-directory
!    signature not found".
! 
! A. This usually means that your zip archive is damaged, or that you
!    have an uncompressed file with the same name in the same directory.
!    In the first case, it makes more sense to contact the person you
!    obtained the zip file from rather than the Info-Zip software
!    developers, and to make sure that your copy is strictly identical to
!    the original.  In the second case, use "unzip zipfile.zip" instead
!    of "unzip zipfile", to let unzip know which file is the zip archive
!    you want to extract.
! 
! 
! Q. Why doesn't zip do <something> just like PKZIP does?
! 
! A. Zip is not a PKZIP clone and is not intended to be one.  In some
!    cases we feel PKZIP does not do the right thing (e.g., not
!    including pathnames by default); in some cases the operating system
!    itself is responsible (e.g., under Unix it is the shell which
!    expands wildcards, not zip).  Info-ZIP's and PKWARE's zipfiles
!    are interchangeable, not the programs.
! 
! 
! Q. Can I distribute zip and unzip sources and/or executables?
! 
! A. You may redistribute the latest official distributions without any
!    modification, without even asking us for permission. You can charge
!    for the cost of the media (CDROM, diskettes, etc...) and a small copying
!    fee.  If you want to distribute modified versions please contact us at
!    zip-bugs@wkuvx1.bitnet first. You must not distribute beta versions.
!    The latest official distributions are always on ftp.uu.net in directory
!    /pub/archiving/zip and subdirectories.
! 
! 
! Q. Can I use the executables of zip and unzip to distribute my software?
! 
! A. Yes, so long as it is made clear in the product documentation that
!    zip or unzip are not being sold, that the source code is freely
!    available, and that there are no extra or hidden charges resulting
!    from its use by or inclusion with the commercial product. Here is
!    an example of a suitable notice:
! 
!      NOTE:  <Product> is packaged on this CD using Info-ZIP's compression
!      utility.  The installation program uses UnZip to read zip files from
!      the CD.  Info-ZIP's software (Zip, UnZip and related utilities) is
!      free and can be obtained as source code or executables from various
!      anonymous-ftp sites, including ftp.uu.net:/pub/archiving/zip/*.
! 
! 
! Q. Can I use the source code of zip and unzip in my commercial application?
! 
! A. Yes, so long as you include in your product an acknowledgment and an
!    offer of the original compression sources for free or for a small
!    copying fee, and make clear that there are no extra or hidden charges
!    resulting from the use of the compression code by your product. In other
!    words, you are allowed to sell only your own work, not ours. If you have
!    special requirements contact us at zip-bugs@wkuvx1.bitnet.
diff -c ../zip19i/Where ./Where
*** ../zip19i/Where	Tue Nov  3 21:07:53 1992
--- ./Where	Thu Sep  2 19:50:54 1993
***************
*** 1,11 ****
  __________________________________________________________________________
  
!   This is the Info-ZIP file ``Where,'' last updated on 22 October 1992.
  __________________________________________________________________________
  
     Note that some ftp sites may not yet have the latest versions of
     Zip and UnZip when you read this.  The latest versions, including
!    the crypt sources, are always in the comp.sources.misc archives.
  
     SITE OWNERS:  If you're listed in here but the information is not
     correct (or if you're a big site but aren't listed at all), please
--- 1,11 ----
  __________________________________________________________________________
  
!   This is the Info-ZIP file ``Where,'' last updated on Sept 2nd 1993.
  __________________________________________________________________________
  
     Note that some ftp sites may not yet have the latest versions of
     Zip and UnZip when you read this.  The latest versions, including
!    the crypt sources, are always in ftp.uu.net:/pub/archiving/zip/...
  
     SITE OWNERS:  If you're listed in here but the information is not
     correct (or if you're a big site but aren't listed at all), please
***************
*** 18,83 ****
  utilities (on some ftp sites, the .zip files may have a .zoo equivalent
  in Zoo 2.10 format):
  
!    zip19p1.zip     Zip 1.9, patchlevel 1 (deflation; includes zipnote, zipsplit)
!    zip19p1.tar.Z   ditto, compress'd tar format
  
     zip11.zip       Zip 1.1 (shrinking, implosion; compatible with PKUNZIP 1.1)
     zip11.tar.Z     ditto, compress'd tar format
  
!    unzip50.zip     UnZip 5.0 (all methods supported; includes zipinfo, funzip)
!    unzip50.tar.Z   ditto, compress'd tar format
  
!    wunz13sr.zip    WizUnZip 1.3 support files for Windows 3.1, UnZip 5.0
  
!    zcrypt19.zip    encryption/decryption support (includes zipcloak)
  
  Related archives and files:
  
     UnzpHist.zip    complete changes history of UnZip and precursors
  
!    zip19p1x.zip    MSDOS executables and docs for zip, zipnote, zipsplit
!    unzip50.exe     MSDOS self-extracting executable (contains unzip, docs)
  
!    zip19_16.zip    OS/2 1.x 16-bit executables and docs
!    zip19_32.zip    OS/2 2.x 32-bit executables and docs
!    unz50_16.exe    OS/2 1.x 16-bit executable
!    unz50_32.exe    OS/2 2.x 32-bit executable
! 
!    zip19vms.zip    VMS executables and docs for zip, zipnote, zipsplit
     unz50vms.exe    VMS executable for unzip
  
!    zip_unzip.hqx   Macintosh executables (zip 1.0 only, 1.9 not ready)
  
!    wunz13.zip      Windows 3.1 executable and docs for unzip (WizUnZip)
  
!    pkz110eu.exe    MS-DOS PKZIP/PKUNZIP 1.1 (self-extracting archive)
!    pkz193a.exe     MS-DOS PKZIP/PKUNZIP beta 1.93 (self-extracting)
     pkz102-2.exe    OS/2 PKZIP/PKUNZIP 1.02 (self-extracting)
  
  ftp sites for the US-exportable sources and executables:
  
     NOTE:  Look for the file names given above in the following
     directories.  Some sites like to use slightly different names,
!    such as zip-1.9p1.tar-z instead of zip19p1.tar.Z.  In the case
     of comp.sources.misc archive sites, directories may be used
!    (zip19/part01.Z ... part11.Z, zip19/patch01.Z).
  
!    wuarchive.wustl.edu:/usenet/comp.sources.misc/volume31/...
!    wuarchive.wustl.edu:/packages/compression/...
     wuarchive.wustl.edu:/mirrors/misc/unix/...
     wuarchive.wustl.edu:/mirrors/misc/vaxvms/...
     wuarchive.wustl.edu:/mirrors/msdos/zip/...
     wuarchive.wustl.edu:/mirrors/msdos/windows3/...
  
!    ftp.uu.net:/usenet/comp.sources.misc/volume31/...
!    ftp.uu.net:/pub/zip/...
  
!    ftp-os2.nmsu.edu:/pub/os2/2.0/archivers/...
!    ftp-os2.nmsu.edu:/pub/os2/all/archivers/...
!    ftp-os2.nmsu.edu:/pub/downloads/Info-ZIP/...
  
!    wuarchive.wustl.edu:/mirrors/msdos/zip/pkz110eu.exe
!    ux1.cso.uiuc.edu:/pc/exec-pc/pkz193a.exe        [128.174.5.59]
  
  ftp sites for the encryption and decryption sources and/or executables:
  
--- 18,85 ----
  utilities (on some ftp sites, the .zip files may have a .zoo equivalent
  in Zoo 2.10 format):
  
!    zip20.zip       Zip 2.0 (deflation; includes zipnote, zipsplit)
!    zip20.tar.Z     ditto, compress'd tar format
  
     zip11.zip       Zip 1.1 (shrinking, implosion; compatible with PKUNZIP 1.1)
     zip11.tar.Z     ditto, compress'd tar format
  
!    unz50p1.zip     UnZip 5.0, patchlevel 1 (all methods; incl. zipinfo, funzip)
!    unz50p1.tar.Z   ditto, compress'd tar format
  
!    wunz20sr.zip    WizUnZip 2.0 support files for Windows 3.1, UnZip 5.0p1
!                    (not yet released)
  
!    zcrypt20.zip    encryption/decryption support (includes zipcloak)
  
  Related archives and files:
  
     UnzpHist.zip    complete changes history of UnZip and precursors
  
!    zip20x.zip      MSDOS executables and docs for zip, zipnote, zipsplit
!    zcryp20x.zip    MSDOS encryption executables and docs for zip, zipcloak
!    unz50p1.exe     MSDOS self-extracting executable (contains unzip, docs)
! 
!    zip20x16.zip    OS/2 1.x 16-bit executables and docs
!    zip20x32.zip    OS/2 2.x 32-bit executables and docs
!    unz50x16.exe    OS/2 1.x 16-bit executables and docs
!    unz50x32.exe    OS/2 2.x 32-bit executables and docs
  
!    zip20vms.zip    VMS executables and docs for zip, zipnote, zipsplit
     unz50vms.exe    VMS executable for unzip
  
!    mac-unzip-50p1.hqx  Macintosh executable (unzip only, zip not done yet).
  
!    wunz20x.zip     WizUnZip 2.0 executable and docs for Windows 3.1, NT 3.1
!    wunl20x.zip     same as wunz20x.zip, plus two DLLs for Win 3.0 and OS/2 2.x
  
!    pkz204g.exe     MS-DOS PKZIP/PKUNZIP 2.04g (self-extracting archive)
!    pkz110eu.exe    MS-DOS PKZIP/PKUNZIP 1.1 (self-extracting)
     pkz102-2.exe    OS/2 PKZIP/PKUNZIP 1.02 (self-extracting)
  
  ftp sites for the US-exportable sources and executables:
  
     NOTE:  Look for the file names given above in the following
     directories.  Some sites like to use slightly different names,
!    such as zip-2.0.tar-z instead of zip20.tar.Z.  In the case
     of comp.sources.misc archive sites, directories may be used
!    (zip20/part01.Z ... part11.Z, zip20/patch01.Z).
  
!    ftp.uu.net:/pub/archiving/zip/...    [THIS MIRRORS THE INFO-ZIP HOME SITE]
! 
     wuarchive.wustl.edu:/mirrors/misc/unix/...
+    wuarchive.wustl.edu:/packages/compression/...
     wuarchive.wustl.edu:/mirrors/misc/vaxvms/...
     wuarchive.wustl.edu:/mirrors/msdos/zip/...
     wuarchive.wustl.edu:/mirrors/msdos/windows3/...
  
!    ftp-os2.cdrom.com:/pub/os2/{2_x,all}/archivers/...
!    ftp-os2.nmsu.edu:/pub/os2/{2.x,all}/archivers/...
!    ftp.informatik.tu-muenchen.de:/pub/comp/os/os2/archiver/...
  
!    wuarchive.wustl.edu:/mirrors/msdos/zip/pkz204g.exe
  
!    sumex-aim.stanford.edu:/info-mac/util/mac-unzip-50p1.hqx
  
  ftp sites for the encryption and decryption sources and/or executables:
  
***************
*** 87,114 ****
     a waste of expensive bandwidth).
  
     NOTE 2:  Some sites may carry both encryption and non-encryption
!    executables with slightly different names; for example, zip19c32.zip
!    instead of zip19x32.zip ("c" == crypt version).
  
     From the US:
!       wuarchive.wustl.edu:/mirrors/garbo.uwasa.fi/arcutil/zcrypt19.zip
!       wuarchive.wustl.edu:/usenet/comp.sources.misc/volume31/zcrypt19/part01.Z
!       ftp.uu.net:/usenet/comp.sources.misc/volume31/zcrypt19/part01.Z
  
     Outside the US:
!       garbo.uwasa.fi:/pc/arcutil/zcrypt19.zip
!       ftp.win.tue.nl:/pub/compression/zip/zcrypt19.zip
!       ftp.inria.fr:/system/arch-compr/zcrypt19.zip
!       ftp.informatik.tu-muenchen.de:/pub/utils/archiver/zcrypt19.zip
!          (mail server at ftp-mailer@ftp.informatik.tu-muenchen.de)
! 
!       ftp.uni-erlangen.de:/pub/pc/utilities/zip/...
!       ftp.uni-erlangen.de:/pub/pc/os2/Arc/ArcProgs/...
!          (131.188.1.43, 131.188.31.3, 131.188.34.43, 131.188.44.43)
  
! ftp site for VMS-format Zip/UnZip package (sources and executables, no
  encryption/decryption--see also "Mail servers" section below):
  
     The ZIP-UNZIP package for VMS is available via anonymous ftp from
     ftp.spc.edu [192.107.46.27]; the following files are needed:
  
--- 89,117 ----
     a waste of expensive bandwidth).
  
     NOTE 2:  Some sites may carry both encryption and non-encryption
!    executables with slightly different names; for example, zip20c32.zip
!    instead of zip20x32.zip ("c" == crypt version).  Other sites may
!    include *only* the encryption-related executables (zip and zipcloak)
!    in a second archive (e.g., zcryp20x.zip).
  
     From the US:
!       wuarchive.wustl.edu:/mirrors/garbo.uwasa.fi/arcutil/zcrypt20.zip
!       ftp.uu.net:/pub/archiving/zip/zcrypt20.zip
  
     Outside the US:
!       garbo.uwasa.fi:/pc/arcutil/zcrypt20.zip
!       ftp.inria.fr:/system/arch-compr/zcrypt20.zip
!       ftp.informatik.tu-muenchen.de:/pub/comp/os/os2/archiver/zcrypt20.zip
!          (mail server at ftp-mailer@informatik.tu-muenchen.de)
! 
!       ftp.win.tue.nl:/pub/compression/zip/...
!       ftp.uni-erlangen.de:/pub/pc/msdos/utilities/zip/...
  
! ftp sites for VMS-format Zip/UnZip package (sources and executables, no
  encryption/decryption--see also "Mail servers" section below):
  
+       ftp.uu.net:/pub/archiving/zip/VMS/*
+ 
     The ZIP-UNZIP package for VMS is available via anonymous ftp from
     ftp.spc.edu [192.107.46.27]; the following files are needed:
  
***************
*** 128,136 ****
  
  UUCP sites:
  
!    uunet!~/usenet/comp.sources.misc/volume31/...
!    uunet!~/pub/zip/ ...
  
  Mail servers:
  
     If you don't have anonymous FTP capability, you can mail one
--- 131,143 ----
  
  UUCP sites:
  
!    uunet!~/pub/archiving/zip/ ...
! 
! Bulletin boards (Atari only, so far; not there yet...):
  
+    Gilligan's Island (v.32, 24 hours/day, etc.):  (519) 895-1294
+    GEnie (Atari ST RoundTable)
+ 
  Mail servers:
  
     If you don't have anonymous FTP capability, you can mail one
***************
*** 138,150 ****
     listserv@vm1.nodak.edu or listserv@vm.ecs.rpi.edu in order to
     get a copy via e-mail:
  
!       /pdget mail pd8:<misc.unix>unzip50.tar-z uuencode
!       /pdget mail pd8:<misc.unix>zip19p1.tar-z uuencode
  
     To get the encryption source by e-mail, send the following commands
!    to ftp-mailer@ftp.informatik.tu-muenchen.de:
  
!       get /pub/utils/archiver/zcrypt19.zip
        quit
  
     To get the VMS Zip/UnZip package by e-mail, send the following
--- 145,157 ----
     listserv@vm1.nodak.edu or listserv@vm.ecs.rpi.edu in order to
     get a copy via e-mail:
  
!       /pdget mail pd8:<misc.unix>unz50p1.tar-z uuencode
!       /pdget mail pd8:<misc.unix>zip20.zip uuencode
  
     To get the encryption source by e-mail, send the following commands
!    to ftp-mailer@informatik.tu-muenchen.de:
  
!       get /pub/utils/archiver/zcrypt20.zip
        quit
  
     To get the VMS Zip/UnZip package by e-mail, send the following
***************
*** 158,164 ****
  __________________________________________________________________________
  
     Again, if someone repackages any of the source or executable archives
!    in Mac-, Amiga- or Atari-specific formats, please let us know (send
     e-mail to zip-bugs at the address listed in README).
  __________________________________________________________________________
- 
--- 165,170 ----
  __________________________________________________________________________
  
     Again, if someone repackages any of the source or executable archives
!    in Mac- or Atari-specific formats, please let us know (send
     e-mail to zip-bugs at the address listed in README).
  __________________________________________________________________________
diff -c ../zip19i/algorith.doc ./algorith.doc
*** ../zip19i/algorith.doc	Tue Nov  3 21:07:53 1992
--- ./algorith.doc	Sat Aug 28 03:35:28 1993
***************
*** 46,51 ****
--- 46,57 ----
  important than speed, zip attempts a complete second search even if
  the first match is already long enough.
  
+ The lazy match evaluation is no performed for the fastest compression
+ modes (speed options -1 to -3). For these fast modes, new strings
+ are inserted in the hash table only when no match was found, or
+ when the match is not too long. This degrades the compression ratio
+ but saves time since there are both fewer insertions and fewer searches.
+ 
  Jean-loup Gailly
  jloup@chorus.fr
  
***************
*** 56,59 ****
  pp. 337-343.
  
  APPNOTE.TXT documentation file in PKZIP 1.93a. It is available by
! ftp in ux1.cso.uiuc.edu:/pc/exec-pc/pkz193a.exe [128.174.5.59]
--- 62,65 ----
  pp. 337-343.
  
  APPNOTE.TXT documentation file in PKZIP 1.93a. It is available by
! ftp in ftp.cso.uiuc.edu:/pc/exec-pc/pkz193a.exe [128.174.5.59]
Only in .: amiga
Only in .: atari
diff -c ../zip19i/bits.c ./bits.c
*** ../zip19i/bits.c	Tue Nov  3 21:07:53 1992
--- ./bits.c	Tue Aug 31 22:08:28 1993
***************
*** 1,11 ****
  /*
  
!  Copyright (C) 1990-1992 Mark Adler, Richard B. Wales, Jean-loup Gailly,
   Kai Uwe Rommel and Igor Mandrichenko.
   Permission is granted to any individual or institution to use, copy, or
!  redistribute this software so long as all of the original files are included
!  unmodified, that it is not sold for profit, and that this copyright notice
!  is retained.
  
  */
  
--- 1,10 ----
  /*
  
!  Copyright (C) 1990-1993 Mark Adler, Richard B. Wales, Jean-loup Gailly,
   Kai Uwe Rommel and Igor Mandrichenko.
   Permission is granted to any individual or institution to use, copy, or
!  redistribute this software so long as all of the original files are included,
!  that it is not sold for profit, and that this copyright notice is retained.
  
  */
  
***************
*** 332,338 ****
  
      bi_init((FILE *)NULL);
      ct_init(&att, &method);
!     lm_init(level, &flags);
      deflate();
  
      /* For portability, force little-endian order on all machines: */
--- 331,337 ----
  
      bi_init((FILE *)NULL);
      ct_init(&att, &method);
!     lm_init((level != 0 ? level : 1), &flags);
      deflate();
  
      /* For portability, force little-endian order on all machines: */
Only in .: configure
diff -c ../zip19i/contents ./contents
*** ../zip19i/contents	Tue Nov  3 21:07:53 1992
--- ./contents	Tue Sep  7 05:00:38 1993
***************
*** 1,22 ****
! Copyright (C) 1990-1992 Mark Adler, Richard B. Wales, Jean-loup Gailly,
  Kai Uwe Rommel and Igor Mandrichenko.
  Permission is granted to any individual or institution to use, copy, or
  redistribute this software so long as all of the original files are included
  unmodified, that it is not sold for profit, and that this copyright notice
  is retained.
  
! This file is a complete list of files mentioned in the above copyright.  Some
! of the files in this list explicitly state in their text that they are public
! domain or not copyrighted.  These files can be distributed separately and are
! marked below with asterisks.
  
  file            what it is
  ----            ----------
! Readme          What zip is; general information.
  Where           where Zip/UnZip and encryption/decryption support can be found
  algorith.doc    Description of the deflation algorithm
  bits.c          Output variable-length bit strings.
  contents        This file.
  deflate.c       Deflation compression method
  fileio.c        System dependent routines (most of them anyway).
  globals.c       Global variables.
--- 1,26 ----
! Copyright (C) 1990-1993 Mark Adler, Richard B. Wales, Jean-loup Gailly,
  Kai Uwe Rommel and Igor Mandrichenko.
  Permission is granted to any individual or institution to use, copy, or
  redistribute this software so long as all of the original files are included
  unmodified, that it is not sold for profit, and that this copyright notice
  is retained.
  
! This file is a complete list of files mentioned in the above copyright
! notice.  Some of the files in this list explicitly state in their text
! that they are public domain or not copyrighted.  These files can be
! distributed separately and are marked below with asterisks.
  
  file            what it is
  ----            ----------
! Makefile        Unix make file.
! README          What zip is; general information.
  Where           where Zip/UnZip and encryption/decryption support can be found
  algorith.doc    Description of the deflation algorithm
  bits.c          Output variable-length bit strings.
+ configure       Shell script for automatic configuration.
  contents        This file.
+ crypt.c         * Dummy encryption sources.
+ crypt.h         * Dummy encryption sources.
  deflate.c       Deflation compression method
  fileio.c        System dependent routines (most of them anyway).
  globals.c       Global variables.
***************
*** 24,30 ****
  infozip.who     List of contributors to the portable Zip project.
  install.doc     Documentation for Zip compilation and installation
  makecrc.c       * Generate the CRC table in util.c and shrink.c.
- makefile        Unix make file.
  match.s         Optimized 386 version of longest_match() (Unix & OS/2)
  mktime.c        Version of mktime for systems without it (currently unused)
  revision.h      Contains the program version number and revision date.
--- 28,33 ----
***************
*** 35,75 ****
  zip.c           Main routine for Zip.
  zip.doc         Documentation for Zip (zip.1 processed).
  zip.h           Header for all Zip modules.
  ziperr.h        Error messages in Zip.
  zipfile.c       Zip file format handler.
  zipnote.c       Main routine for ZipNote.
  zipsplit.c      Main routine for ZipSplit.
  zipup.c         Applies deflate or store methods to compress an entry.
  atari/atari.c         Atari ST specific routines
  atari/makefile.st     Turbo C makefile
  atari/stzip.lnk       Linker command file for zip
- atari/stzip.prj       Turbo C project file
  atari/stzipn.lnk      Linker command file for zipnote
  atari/stzips.lnk      Linker command file for zipsplit
! atari/tc.cfg          Turbo C configuration file
  mac/macfile.c         Macintosh specific routines
  mac/macstat.c         Macintosh specific routines
  mac/macstat.h         Macintosh specific header file
- msdos/doturboc.bat    Batch file for compiling under Turbo C 2.0.
  msdos/makefile.bor    MSDOS Borland C++ make file.
  msdos/makefile.gcc    MSDOS DJGCC make file.
  msdos/makefile.msc    MSDOS Microsoft C make file.
  msdos/match.asm       Optimized 8086 version of longest_match().
- msdos/tcconfig.tc     TurboC 2.0 configuration file
- msdos/zip.prj         Project file for Borland (Turbo) C++.
- msdos/zipcloak.prj    Project file for Borland (Turbo) C++.
- msdos/zipnote.prj     Project file for Borland (Turbo) C++.
- msdos/zipsplit.prj    Project file for Borland (Turbo) C++.
- msdos/zip.tc          Configuration file for Turbo C
- msdos/zipcloak.tc     Configuration file for Turbo C
- msdos/zipnote.tc      Configuration file for Turbo C
- msdos/zipsplit.tc     Configuration file for Turbo C
  nt/makefile.nt        Makefile for Windows NT
  os2/makefile.os2      OS/2 make file.
! os2/match32.asm       Optimized 386 version of longest_match() (*untested*)
  os2/os2zip.c          * Directory routines for OS/2.
  os2/os2zip.h          * Definitions of functions in os2zip.c.
  os2/zip.def           OS/2 def file for Zip.
  vms/VMSmunch.c        file manipulation, adapted from Joe Meadows' FILE
  vms/VMSmunch.h        definitions for VMSmunch.c
  vms/descrip.mms       VMS makefile
--- 38,88 ----
  zip.c           Main routine for Zip.
  zip.doc         Documentation for Zip (zip.1 processed).
  zip.h           Header for all Zip modules.
+ zipcloak.c      * Dummy encryption sources.
  ziperr.h        Error messages in Zip.
  zipfile.c       Zip file format handler.
+ zipgrep         Shell script to search a string or pattern in a zip file
+ zipgrep.1       Man page for zipgrep
  zipnote.c       Main routine for ZipNote.
  zipsplit.c      Main routine for ZipSplit.
  zipup.c         Applies deflate or store methods to compress an entry.
+ amiga/LMKfile         Amiga makefile for SAS/C version 5.10b
+ amiga/SMakeFile       Amiga makefile for SAS/C version 6.x
+ amiga/amiga.h         Amiga specific code
+ amiga/amiga.c         Amiga specific code
+ amiga/filedate.c      Amiga specific "set file time"  routine
+ amiga/makefile.azt    Amiga makefile for Manx Aztec C version 5.2
+ amiga/match.a         Optimized 68000 version of longest_match().
+ amiga/match_68.a      Optimized 68020 version of longest_match().
+ amiga/stat.c          Manx Aztec C callable version of stat()
+ amiga/z-stat.h        Manx Aztec include file for stat()
  atari/atari.c         Atari ST specific routines
  atari/makefile.st     Turbo C makefile
  atari/stzip.lnk       Linker command file for zip
  atari/stzipn.lnk      Linker command file for zipnote
  atari/stzips.lnk      Linker command file for zipsplit
! human68k/Makefile.gcc Makefile for the Human68k system.
! human68k/human68k.c   Human68K specific routines
! human68k/match.s      Optimized 68k version of longest_match().
  mac/macfile.c         Macintosh specific routines
  mac/macstat.c         Macintosh specific routines
  mac/macstat.h         Macintosh specific header file
  msdos/makefile.bor    MSDOS Borland C++ make file.
+ msdos/makefile.tc     MSDOS Turboc 2.0 make file.
  msdos/makefile.gcc    MSDOS DJGCC make file.
  msdos/makefile.msc    MSDOS Microsoft C make file.
  msdos/match.asm       Optimized 8086 version of longest_match().
  nt/makefile.nt        Makefile for Windows NT
+ nt/nt.c               NT specific routines
+ nt/ntzip.h            NT specific header file
  os2/makefile.os2      OS/2 make file.
! os2/match32.asm       Optimized 386 version of longest_match()
  os2/os2zip.c          * Directory routines for OS/2.
  os2/os2zip.h          * Definitions of functions in os2zip.c.
  os2/zip.def           OS/2 def file for Zip.
+ os2/zip16.def         OS/2 def file for Zip (16 bit version)
+ tops20/make.mic       TOPS 20 command file
+ tops20/rename.mic     TOPS 20 command file
  vms/VMSmunch.c        file manipulation, adapted from Joe Meadows' FILE
  vms/VMSmunch.h        definitions for VMSmunch.c
  vms/descrip.mms       VMS makefile
***************
*** 80,91 ****
  vms/vms.c             VMS specific code
  vms/vms_zip.rnh       VMS manual page
  
! All of the files are in Unix (LF only) format except for the msdos and os2
! files.  On MSDOS and OS/2 systems, you can use the -a option of unzip to
! convert the source files to CRLF format.  This is only necessary if you wish
! to edit the files -- they will compile as is with Microsoft C and
! Turbo/Borland C++ 1.0 or later.  However, you will have to convert the files
! (using unzip -a) to the CRLF format to compile with the older Turbo C 1.0 or
! 2.0. In this case, do not convert the binary file turboc.cfg.
! You should be able to find unzip the same place you found this (see the
! file 'where').
--- 93,100 ----
  vms/vms.c             VMS specific code
  vms/vms_zip.rnh       VMS manual page
  
! All of the files are in Unix (LF only) format. On MSDOS and OS/2
! systems, you can use the -a option of unzip to convert the source
! files to CRLF format.  This is only necessary if you use Turbo/Borland C
! -- they will compile as is with Microsoft C. You should be able to
! find unzip the same place you found this (see the file 'Where').
